Loading...
Searching...
No Matches
SqlUtil::ForeignConstraintTarget Class Reference

a class describing a foreign constraint target More...

`#include <SqlUtil.qm.dox.h>`

## Public Member Functions

| constructor (string t, Columns c)
| creates the object and sets the target table name and the target columns
bool | equal (ForeignConstraintTarget targ)
| returns True if the argument is equal to the current object, False if not
bool | hasColumn (string cname)
| returns True if the constraint references the named column

## Public Attributes

Columns | columns
| columns in the target table
string | table
| the name of the target table

## Detailed Description

a class describing a foreign constraint target